
/*Create VM*/
$(document).ready(function () {
    //change os template
    $("#osTemplate").change(function (e) {
        console.log($(this).val() );
        //show
        if($(this).val() == "installationFromIso"){
            if($("#isoImage").size()){
                $("#isoImage").closest(".lu-form-group").show();
            }
            if($("#secondaryIsoImage").size()){
                $("#secondaryIsoImage").closest(".lu-form-group").show();
            }
            // ostype
            if($('select[name="ostype"]').size()){
                $('select[name="ostype"]').closest(".lu-form-group").show();
            }
            // password
            if($('input[name="password"]').size()){
                $('input[name="password"]').closest(".lu-form-group").hide();
            }
            // sshkeys
            if($('textarea[name="sshkeys"]').size()){
                $('textarea[name="sshkeys"]').closest(".lu-form-group").hide();
            }
            // ciuser
            if($('input[name="ciuser"]').size()){
                $('input[name="ciuser"]').closest(".lu-form-group").hide();
            }
            // searchdomain
            if($('input[name="searchdomain"]').size()){
                $('input[name="searchdomain"]').closest(".lu-form-group").hide();
            }
            // nameserver
            if($('input[name="nameserver[0]"]').size()){
                $('input[name="nameserver[0]"]').closest(".lu-form-group").hide();
                $('input[name="nameserver[1]"]').closest(".lu-form-group").hide();
            }
            //hide
        } else {
            if($("#isoImage").size()){
                $("#isoImage").closest(".lu-form-group").hide();
            }
            if($("#secondaryIsoImage").size()){
                $("#secondaryIsoImage").closest(".lu-form-group").hide();
            }
            // ostype
            if($('select[name="ostype"]').size()){
                $('select[name="ostype"]').closest(".lu-form-group").hide();
            }
            // password
            if($('input[name="password"]').size()){
                $('input[name="password"]').closest(".lu-form-group").show();
            }
            // sshkeys
            if($('textarea[name="sshkeys"]').size()){
                $('textarea[name="sshkeys"]').closest(".lu-form-group").show();
            }
            // ciuser
            if($('input[name="ciuser"]').size()){
                $('input[name="ciuser"]').closest(".lu-form-group").show();
            }
            // searchdomain
            if($('input[name="searchdomain"]').size()){
                $('input[name="searchdomain"]').closest(".lu-form-group").show();
            }
            // nameserver
            if($('input[name="nameserver[0]"]').size()){
                $('input[name="nameserver[0]"]').closest(".lu-form-group").show();
                $('input[name="nameserver[1]"]').closest(".lu-form-group").show();
            }
        }
    });
    //fire event
    $("#osTemplate").trigger("change");
    //virtual network
    var selectizedInstance = $('.pm-virtual-network-content-default .selectized').selectize();
    selectizedInstance.each(function(){
        this.selectize.destroy();
    });
    //create
    $("#pm-add-new-virtual-network-button").on("click",function (e) {
        e.preventDefault();
        var content = $('.pm-virtual-network-content-default').clone();
        content.removeClass("hidden");
        content.removeClass("pm-virtual-network-content-default");
        var index = $("#pm-add-new-virtual-network-button").closest('.lu-widget').find('.lu-widget').size();
        content.find('select[name="virtualNetwork[id]"]').prop("name","virtualNetwork"+index+"[id]");
        content.find('select[name="virtualNetwork[ip]"]').prop("name","virtualNetwork"+index+"[ip]");
        $(this).closest('.lu-widget').find('.lu-widget').last().after(content);
        $(this).closest('.lu-widget').find('.pm-vn-select').trigger("change");
        $(this).closest('.lu-widget').find('.lu-alert').hide();
        $(".pm-virtual-network-content-default").parent().find(".lu-alert").hide();
    });
    //delete
    $(".mg-wrapper").delegate(".pm-delete-virtual-network-button","click",function (e) {
        e.preventDefault();
        $(this).closest('.lu-widget').remove();
        if($(".pm-virtual-network-content-default").parent().find(".lu-widget").length <= 1)
        {
            $(".pm-virtual-network-content-default").parent().find(".lu-alert").show();
        }
    });
    //change
    $(".mg-wrapper").delegate(".pm-vn-select","change",function (e) {
        var show = '.vn-ip-'+$(this).val();
        $(this).closest('.lu-widget__content').find('.pm-vn-ip-select option').hide();
        $(this).closest('.lu-widget__content').find(show).show();
        var firstOption =  $(this).closest('.lu-widget__content').find('.pm-vn-ip-select '+show+':first').val();
        $(this).closest('.lu-widget__content').find('.pm-vn-ip-select').val(firstOption);
    });
    //disk
    var selectizedInstance = $('.pm-disk-content-default .selectized').selectize();
    selectizedInstance.each(function(){
        this.selectize.destroy();
    });
    //create
    $("#pm-add-disk-button").on("click",function (e) {
        e.preventDefault();
        var content = $('.pm-disk-content-default').clone();
        content.removeClass("hidden");
        content.removeClass("pm-disk-content-default");
        var index = $("#pm-add-disk-button").closest('.lu-widget').find('.lu-widget').size();
        content.find('input[name="additionalDiskSize"]').prop("name","additionalDiskSize"+index);
        content.find('select[name="additionalDiskBus"]').prop("name","additionalDiskBus"+index);
        content.find('select[name="additionalDiskFormat"]').prop("name","additionalDiskFormat"+index);
        content.find('select[name="additionalDiskBackup"]').prop("name","additionalDiskBackup"+index);
        content.find('input[name="additionalDiskMp"]').prop("name","additionalDiskMp"+index);
        $(this).closest('.lu-widget').find('.lu-widget').last().after(content);
        $(".pm-disk-content-default ").parent().find(".lu-alert").hide();
    });
    //delete
    $(".mg-wrapper").delegate(".pm-delete-disk-button","click",function (e) {
        e.preventDefault();
        $(this).closest('.lu-widget').remove();
        if($(".pm-disk-content-default ").parent().find(".lu-widget").length <= 1)
        {
            $(".pm-disk-content-default ").parent().find(".lu-alert").show();
        }
    });
    //cpuPriority change
    $(".mg-wrapper").delegate("#cpuPriority","input",function (e) {
        e.preventDefault();
        var label = $(this).data("label"+$(this).val());
        $("#outputcpuPriority").html(label);
    });
});

/* VM Create done*/
function pcVmCreatedAjaxDone(data) {
    if(data.htmlData.redirectUrl)
    {
        window.location.href = data.htmlData.redirectUrl;
    }
}

function pcOsTemplateLoadShowIsoFields(data) {
    if($("#isoImage").size()){
        $("#isoImage").closest(".lu-form-group").show();
    }
    if($("#secondaryIsoImage").size()){
        $("#secondaryIsoImage").closest(".lu-form-group").show();
    }
    // ostype
    if($('select[name="ostype"]').size()){
        $('select[name="ostype"]').closest(".lu-form-group").show();
    }
    // password
    if($('input[name="password"]').size()){
        $('input[name="password"]').closest(".lu-form-group").hide();
    }
    // sshkeys
    if($('textarea[name="sshkeys"]').size()){
        $('textarea[name="sshkeys"]').closest(".lu-form-group").hide();
    }
    // ciuser
    if($('input[name="ciuser"]').size()){
        $('input[name="ciuser"]').closest(".lu-form-group").hide();
    }
    // searchdomain
    if($('input[name="searchdomain"]').size()){
        $('input[name="searchdomain"]').closest(".lu-form-group").hide();
    }
    // nameserver
    if($('input[name="nameserver[0]"]').size()){
        $('input[name="nameserver[0]"]').closest(".lu-form-group").hide();
        $('input[name="nameserver[1]"]').closest(".lu-form-group").hide();
    }
}
